Bug 230535 - flash drive hangs while copying to
flash drive hangs while copying to
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-01 05:50 EST by Fix
Modified: 2008-05-06 15:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
AKPM's patch (2.00 KB, patch)
2007-03-08 21:14 EST, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Fix 2007-03-01 05:50:45 EST
Description of problem:
Process of copying a large file (~700Mb) to flash drive deadly hangs after 
first few megabytes, with no messages neither in /var/log/messages nor dmesg.
ps shows that usb-storage status is 'D' (uninterruptible sleep).
With smaller files all is ok. Very similar issue was discussed at Ubuntu 
bugzilla (bug#17881): https://launchpad.net/ubuntu/+source/linux-source-2.6.12/
+bug/17881 . Besides my FC6 box, the same issue have present on my FC4 box.

My flash drive is 1Gb Kingston.

Version-Release number of selected component (if applicable):
-

How reproducible:
Always.

Steps to Reproduce:
1. mount flash drive
2. start copying to it a large file using cp or mc.
3. wait :-)
  
Actual results:
The speed of copying quickly decreases until it deads at all.

Expected results:
The file was copied successfully

Additional info:
Bug # 17881 (Ubuntu): https://launchpad.net/ubuntu/+source/linux-source-2.6.12/
+bug/17881
Comment 1 Pete Zaitcev 2007-03-01 16:07:05 EST
What does happen if you use ub? Please boot with libusual.bias="ub" in grub
and use /dev/uba1 instead of /dev/sdb1 (or whatever is an appropriate
device in this case).

Dave/Chuck: I'm not taking this for now because it seems like the reoccurence
of the old writeout throttling issue (notice how ancient Ubuntu's kernel is).
Might be something for riel to look into, if it can be reproduced.
Comment 2 Chuck Ebbert 2007-03-01 16:18:59 EST
(In reply to comment #1)
> Dave/Chuck: I'm not taking this for now because it seems like the reoccurence
> of the old writeout throttling issue (notice how ancient Ubuntu's kernel is).
> Might be something for riel to look into, if it can be reproduced.
> 

Can we change settings in /proc/sys/vm to keep this from happening?
Comment 3 Pete Zaitcev 2007-03-08 21:11:21 EST
Here's the thread from this February:
 http://lkml.org/lkml/2007/2/16/332
 http://lkml.org/lkml/2007/2/21/377 <--- patch 1
 http://lkml.org/lkml/2007/2/22/263 <--- woops, braces :-)
Comment 4 Pete Zaitcev 2007-03-08 21:14:17 EST
Created attachment 149667 [details]
AKPM's patch
Comment 5 Matthew Miller 2007-04-10 15:28:31 EDT
Moving this one to FC6, since it seems to actually be active.
Comment 6 Bug Zapper 2008-04-04 02:24:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2008-05-06 15:17:28 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.